-- ***********************************************************
-- **                    Hydromancerx                       **
-- ***********************************************************

require "Farming/ScavengeDefinition";

getTexture("Item_HCGooseegg.png");
getTexture("Item_HCChickenegg.png");
getTexture("Item_HCSparrowegg.png");
getTexture("Item_HCBirdnest.png");
getTexture("Item_HCBirdnesteggs.png");
getTexture("Item_HCBlackfeathers.png");
getTexture("Item_HCWhitefeathers.png");
getTexture("Item_HCStripedfeather.png");
getTexture("Item_HCBluejayfeather.png");
getTexture("Item_HCSmallgamepoop.png");
getTexture("Item_HCBoarpoop.png");
getTexture("Item_HCDeerpoop.png");
getTexture("Item_HCBearpoop.png");
getTexture("Item_HCPigpoop.png");
getTexture("Item_HCSheeppoop.png");
getTexture("Item_HCGoatpoop.png");
getTexture("Item_HCCowpoop.png");
getTexture("Item_HCStonearrowhead.png");

-- plants
local HCGooseegg = {};
HCGooseegg.type = "Hydrocraft.HCGooseegg";
HCGooseegg.minCount = 1;
HCGooseegg.maxCount = 1;
HCGooseegg.skill = 8;
local HCChickenegg = {};
HCChickenegg.type = "Hydrocraft.HCChickenegg";
HCChickenegg.minCount = 1;
HCChickenegg.maxCount = 1;
HCChickenegg.skill = 8;
local HCSparrowegg = {};
HCSparrowegg.type = "Hydrocraft.HCSparrowegg";
HCSparrowegg.minCount = 1;
HCSparrowegg.maxCount = 1;
HCSparrowegg.skill = 8;
local HCBirdnest = {};
HCBirdnest.type = "Hydrocraft.HCBirdnest";
HCBirdnest.minCount = 1;
HCBirdnest.maxCount = 1;
HCBirdnest.skill = 8;
local HCBirdnesteggs = {};
HCBirdnesteggs.type = "Hydrocraft.HCBirdnesteggs";
HCBirdnesteggs.minCount = 1;
HCBirdnesteggs.maxCount = 1;
HCBirdnesteggs.skill = 8;
local HCBlackfeathers = {};
HCBlackfeathers.type = "Hydrocraft.HCBlackfeathers";
HCBlackfeathers.minCount = 1;
HCBlackfeathers.maxCount = 2;
HCBlackfeathers.skill = 4;
local HCWhitefeathers = {};
HCWhitefeathers.type = "Hydrocraft.HCWhitefeathers";
HCWhitefeathers.minCount = 1;
HCWhitefeathers.maxCount = 2;
HCWhitefeathers.skill = 4;
local HCStripedfeather = {};
HCStripedfeather.type = "Hydrocraft.HCStripedfeather";
HCStripedfeather.minCount = 1;
HCStripedfeather.maxCount = 2;
HCStripedfeather.skill = 4;
local HCBluejayfeather = {};
HCBluejayfeather.type = "Hydrocraft.HCBluejayfeather";
HCBluejayfeather.minCount = 1;
HCBluejayfeather.maxCount = 2;
HCBluejayfeather.skill = 4;
local HCSmallgamepoop = {};
HCSmallgamepoop.type = "Hydrocraft.HCSmallgamepoop";
HCSmallgamepoop.minCount = 1;
HCSmallgamepoop.maxCount = 1;
HCSmallgamepoop.skill = 3;
local HCBoarpoop = {};
HCBoarpoop.type = "Hydrocraft.HCBoarpoop";
HCBoarpoop.minCount = 1;
HCBoarpoop.maxCount = 1;
HCBoarpoop.skill = 4;
local HCDeerpoop = {};
HCDeerpoop.type = "Hydrocraft.HCDeerpoop";
HCDeerpoop.minCount = 1;
HCDeerpoop.maxCount = 1;
HCDeerpoop.skill = 1;
local HCBearpoop = {};
HCBearpoop.type = "Hydrocraft.HCBearpoop";
HCBearpoop.minCount = 1;
HCBearpoop.maxCount = 1;
HCBearpoop.skill = 5;
local HCPigpoop = {};
HCPigpoop.type = "Hydrocraft.HCPigpoop";
HCPigpoop.minCount = 1;
HCPigpoop.maxCount = 1;
HCPigpoop.skill = 4;
local HCSheeppoop = {};
HCSheeppoop.type = "Hydrocraft.HCSheeppoop";
HCSheeppoop.minCount = 1;
HCSheeppoop.maxCount = 1;
HCSheeppoop.skill = 3;
local HCGoatpoop = {};
HCGoatpoop.type = "Hydrocraft.HCGoatpoop";
HCGoatpoop.minCount = 1;
HCGoatpoop.maxCount = 1;
HCGoatpoop.skill = 3;
local HCCowpoop = {};
HCCowpoop.type = "Hydrocraft.HCCowpoop";
HCCowpoop.minCount = 1;
HCCowpoop.maxCount = 1;
HCCowpoop.skill = 2;
local HCStonearrowhead = {};
HCStonearrowhead.type = "Hydrocraft.HCStonearrowhead";
HCStonearrowhead.minCount = 1;
HCStonearrowhead.maxCount = 1;
HCStonearrowhead.skill = 9;

table.insert(scavenges.forestGoods, HCGooseegg);
table.insert(scavenges.forestGoods, HCChickenegg);
table.insert(scavenges.forestGoods, HCSparrowegg);
table.insert(scavenges.forestGoods, HCBirdnest);
table.insert(scavenges.forestGoods, HCBirdnesteggs);
table.insert(scavenges.forestGoods, HCBlackfeathers);
table.insert(scavenges.forestGoods, HCWhitefeathers);
table.insert(scavenges.forestGoods, HCBrownfeathers);
table.insert(scavenges.forestGoods, HCStripedfeather);
table.insert(scavenges.forestGoods, HCBluejayfeather);
table.insert(scavenges.forestGoods, HCSmallgamepoop);
table.insert(scavenges.forestGoods, HCBoarpoop);
table.insert(scavenges.forestGoods, HCDeerpoop);
table.insert(scavenges.forestGoods, HCBearpoop);
table.insert(scavenges.forestGoods, HCPigpoop);
table.insert(scavenges.forestGoods, HCSheeppoop);
table.insert(scavenges.forestGoods, HCCowpoop);
table.insert(scavenges.forestGoods, HCStonearrowhead);
